.pkm_details__container{
  grid-area: 1 / 2 / 2 / 3;
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pkm_details__internal-box{
  position: absolute;
  top: 43%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  height: 90%;
  background-color: #f2f2f2;
  border-radius: 10px;
  text-align: left;
  padding: 50px 15px 25px 15px;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(6, 1fr);
  gap: 10px;
  margin-top: 20px;
}

.pkm_details__text-box{
  display: flex;
  justify-content: center;
  text-align: left;
  margin-left: 15px;
  align-items: center;
  flex-direction: row;
  width: 100%;
}

.pkm_details__title{
  text-transform: uppercase;
  color: #747474;
  font-size: 12px;
  opacity: 0.8;
  width: 100%;
}

.pkm_details__value{
  color: #747474;
  font-size: 12px;
  opacity: 0.8;
  width: 100%;
}

@media screen and (min-width: 810px){

   .pkm_details__internal-box{
    top: 45%;
    height: 80%;
    max-width: 420px;
    padding: 60px 0 60px 0;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 0;
  }

   .pkm_details__text-box{
    flex-direction: column;
    justify-content: flex-start;
    text-align: center;
    margin-left: 0;
  }

   .pkm_details__title{
    font-size: 20px;
  }

   .pkm_details__value{
    font-size: 24px;
  }
}
